### Class

# GioUnix DesktopAppInfo

since: 2.0

#### Description

    final class GioUnix.DesktopAppInfo : GObject.Object
      implements Gio.AppInfo {
      /* No available fields */
    }

`GDesktopAppInfo` is an implementation of `GAppInfo` based on desktop files.

Note that `<gio/gdesktopappinfo.h>` belongs to the UNIX-specific GIO interfaces, thus you have to use the `gio-unix-2.0.pc` pkg-config file or the `GioUnix-2.0` GIR namespace when using it.

Available since: 2.0

#### Ancestors

- GObject

#### Implements

- GAppInfo

#### Constructors

###### g_desktop_app_info_new

Creates a new `GDesktopAppInfo` based on a desktop file id.

since: 2.0

###### g_desktop_app_info_new_from_filename

Creates a new `GDesktopAppInfo`.

since: 2.0

###### g_desktop_app_info_new_from_keyfile

Creates a new `GDesktopAppInfo`.

since: 2.18

#### Functions

###### g_desktop_app_info_get_action_name

Gets the user-visible display name of the “additional application action” specified by `action_name`.

since: 2.38

###### g_desktop_app_info_get_boolean

Looks up a boolean value in the keyfile backing `info`.

since: 2.36

###### g_desktop_app_info_get_categories

Gets the categories from the desktop file.

since: 2.0

###### g_desktop_app_info_get_filename

When `info` was created from a known filename, return it. In some situations such as the `GDesktopAppInfo` returned from g_desktop_app_info_new_from_keyfile(), this function will return `NULL`.

since: 2.24

###### g_desktop_app_info_get_generic_name

Gets the generic name from the desktop file.

since: 2.0

###### g_desktop_app_info_get_implementations

Gets all applications that implement `interface`.

since: 2.42

###### g_desktop_app_info_get_is_hidden

A desktop file is hidden if the Hidden key in it is set to True.

since: 2.0

###### g_desktop_app_info_get_keywords

Gets the keywords from the desktop file.

since: 2.32

###### g_desktop_app_info_get_locale_string

Looks up a localized string value in the keyfile backing `info` translated to the current locale.

since: 2.56

###### g_desktop_app_info_get_nodisplay

Gets the value of the NoDisplay key, which helps determine if the application info should be shown in menus. See `G_KEY_FILE_DESKTOP_KEY_NO_DISPLAY` and g_app_info_should_show().

since: 2.30

###### g_desktop_app_info_get_show_in

Checks if the application info should be shown in menus that list available applications for a specific name of the desktop, based on the `OnlyShowIn` and `NotShowIn` keys.

since: 2.30

###### g_desktop_app_info_get_startup_wm_class

Retrieves the StartupWMClass field from `info`. This represents the WM_CLASS property of the main window of the application, if launched through `info`.

since: 2.34

###### g_desktop_app_info_get_string

Looks up a string value in the keyfile backing `info`.

since: 2.36

###### g_desktop_app_info_get_string_list

Looks up a string list value in the keyfile backing `info`.

since: 2.60

###### g_desktop_app_info_has_key

Returns whether `key` exists in the “Desktop Entry” group of the keyfile backing `info`.

since: 2.36

###### g_desktop_app_info_launch_action

Activates the named application action.

since: 2.38

###### g_desktop_app_info_launch_uris_as_manager

This function performs the equivalent of g_app_info_launch_uris(), but is intended primarily for operating system components that launch applications. Ordinary applications should use g_app_info_launch_uris().

since: 2.0

###### g_desktop_app_info_launch_uris_as_manager_with_fds

Equivalent to `g_desktop_app_info_launch_uris_as_manager()` but allows you to pass in file descriptors for the stdin, stdout and stderr streams of the launched process.

since: 2.58

###### g_desktop_app_info_list_actions

Returns the list of “additional application actions” supported on the desktop file, as per the desktop file specification.

since: 2.38

###### g_desktop_app_info_search

Searches desktop files for ones that match `search_string`.

since: 2.0

###### g_desktop_app_info_set_desktop_env

Sets the name of the desktop that the application is running in. This is used by `g_app_info_should_show()` and `g_desktop_app_info_get_show_in()` to evaluate the `OnlyShowIn` and `NotShowIn` desktop entry fields.

deprecated: 2.42 since: 2.0

#### Instance methods

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GAppInfo (25)

Please see GAppInfo for a full list of methods.

#### Properties

###### GioUnix.DesktopAppInfo:filename

The origin filename of this `GDesktopAppInfo`.

since: 2.0

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

since: 2.0

#### Class structure

    struct GioUnixDesktopAppInfoClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.